# group_gui.h File Reference

Functions/definitions that have something to do with groups. More...

`#include "company_type.h"`
`#include "vehicle_type.h"`

Go to the source code of this file.

## Functions
void | ShowCompanyGroup (CompanyID company, VehicleType veh)
void | DeleteGroupHighlightOfVehicle (const Vehicle *v)
| Removes the highlight of a vehicle in a group window.

## Detailed Description

Functions/definitions that have something to do with groups.

Definition in file group_gui.h.

## Function Documentation

void DeleteGroupHighlightOfVehicle | ( | const Vehicle * | v | ) |

Removes the highlight of a vehicle in a group window.

Parameters:

  | *v | Vehicle to remove all highlights from

Definition at line 708 of file group_gui.cpp.

References _special_mouse_mode, FindVehicleGroupWindow(), Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tcache, Tzero >::PoolItem< Tpool >::index, Vehicle::owner, BaseVehicle::type, VehicleGroupWindow::UnselectVehicle(), and WSM_DRAGDROP.

Referenced by Vehicle::PreDestructor().